
QGIS Application - Feature request #21875

add support for "triangles" PostGIS geometry type

2019-04-17 06:10 PM - Darafei Praliaskouski

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 29690

Description

I have a table of TRIANGLE's in PostGIS. QGIS shows it as Polygon layer, and when I click using Idenify tool on triangles, they show up,

but they are not rendered by main map as polygons.

History

#1 - 2019-04-18 01:30 PM - Giovanni Manghi

- Status changed from Open to Feedback

Can you attach a sump of the table (even with sample data)?

#2 - 2019-04-18 01:38 PM - Darafei Praliaskouski

- File triangles.sqld.bz2 added

Please find dump attached. (why 5mb limit?:)

#3 - 2019-04-18 02:01 PM - Giovanni Manghi

the layer loads here, but is not identifiable or selectable or editable, is that what you mean?

#4 - 2019-04-18 02:14 PM - Darafei Praliaskouski

- File 2019-04-18 151330.jpg added

Layer loads for me, it is identifiable but renders nothing. If I click somewhere contours of objects render.

#5 - 2019-04-18 02:17 PM - Giovanni Manghi

- File Screenshot_20190418_131631.png added

Darafei Praliaskouski wrote:

Layer loads for me, it is identifiable but renders nothing. If I click somewhere contours of objects render.

map show here, not identifiable or selectable (is editable, it just needs a primary key).
#6 - 2019-04-18 04:08 PM - Darafei Praliaskouski

Found it. "Simplify on provider's side if possible" triggers this.

```

gis=# select ST_Simplify(geom, 0) from delaunay_triangles limit 10;

ERROR:  lwgeom_simplify_in_place: unsupported geometry type: Triangle

```

I will try to fix this on PostGIS side, but that will be PostGIS v3+ since it's essentially a feature. Would be great to see this error on UI somewhere at least.

PostGIS ticket: https://trac.osgeo.org/postgis/ticket/4380

#7 - 2019-04-18 08:27 PM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

- Subject changed from Triangle in PostGIS is half-working to add support for "triangles" PostGIS geometry type

- Status changed from Feedback to Open

#8 - 2019-05-15 08:21 PM - Darafei Praliaskouski

these functions shouldn't fail on triangles in PostGIS starting next release:

https://github.com/postgis/postgis/commit/4335b10ac3152c9a5a8008dc022a8b50adac66c6

Files

triangles.sqld.bz2 4.26 MB 2019-04-18 Darafei Praliaskouski
https://trac.osgeo.org/postgis/ticket/4380
https://github.com/postgis/postgis/commit/4335b10ac3152c9a5a8008dc022a8b50adac66c6


2019-04-18 151330.jpg 231 KB 2019-04-18 Darafei Praliaskouski

Screenshot_20190418_131631.png 682 KB 2019-04-18 Giovanni Manghi
